---
title: min()
slug: Web/CSS/min()
tags:
  - CSS
  - CSS Function
  - Calculate
  - Compute
  - Function
  - Layout
  - Reference
  - min
---
<div>{{CSSRef}}</div>

<p>The <strong><code>min()</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Functions">function</a> lets you set the smallest (most negative) value from a list of comma-separated expressions as the value of a CSS property value. The <code>min()</code> function can be used anywhere a {{CSSxRef("&lt;length&gt;")}}, {{CSSxRef("&lt;frequency&gt;")}}, {{CSSxRef("&lt;angle&gt;")}}, {{CSSxRef("&lt;time&gt;")}}, {{CSSxRef("&lt;percentage&gt;")}}, {{CSSxRef("&lt;number&gt;")}}, or {{CSSxRef("&lt;integer&gt;")}} is allowed.</p>

<div>{{EmbedInteractiveExample("pages/css/function-min.html")}}</div>

<p>In the first above example, the width will be at most 200px, but will be smaller if the viewport is less than 400px wide (in which case 1vw would be 4px, so 50vw would be 200px). In other words, the maximum width is 200px. Think of the <code>min()</code> value as providing the <em>maximum</em> value a property can have.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>min()</code> function takes one or more comma-separated expressions as its parameter, with the smallest (most negative) expression value result used as the value.</p>

<p>The expressions can be math expressions (using arithmetic operators), literal values, or other expressions, such as {{CSSxRef("attr", "attr()")}}, that evaluate to a valid argument type (like {{CSSxRef("&lt;length&gt;")}}).</p>

<p>You can use different units for each value in your expression, if you wish. You may also use parentheses to establish computation order when needed.</p>

<h3 id="Notes">Notes</h3>

<ul>
 <li>Math expressions involving percentages for widths and heights on table columns, table column groups, table rows, table row groups, and table cells in both auto and fixed layout tables <em>may</em> be treated as if <code>auto</code> had been specified.</li>
 <li>It is permitted to nest <code>max()</code> and other <code>min()</code> functions as expression values. The expressions are full math expressions, so you can use direct addition, subtraction, multiplication and division without using the <code>calc()</code> function itself.</li>
 <li>The expression can be values combining the addition ( + ), subtraction ( - ), multiplication ( * ) and division ( / ) operators, using standard operator precedence rules. Make sure to put a space on each side of the + and - operands. The operands in the expression may be any <code>&lt;length&gt;</code> syntax value.</li>
 <li>You can (and often need to) combine <code>min()</code> and <code>max()</code> values, or use <code>min()</code> within a <code>clamp()</code> or <code>calc()</code> function.</li>
 <li>You can provide more than two arguments, if you have multiple constraints to apply.</li>
</ul>

<h3 id="Formal_syntax">Formal syntax</h3>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>When using <code>min()</code> to set a maximum font size, ensure that the font can still be scaled at least 200% for readability (without assistive technology like a zoom function).</p>

<ul>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.4_Make_it_easier_for_users_to_see_and_hear_content_including_separating_foreground_from_background">MDN Understanding WCAG, Guideline 1.4 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/visual-audio-contrast-scale.html">Understanding Success Criterion 1.4.4 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_maximum_size_for_a_label_and_input">Setting a maximum size for a label and input</h3>

<p>Another use case for CSS functions is to set a maximum size on responsive form controls: enabling the width of labels and inputs to shrink as the width of the form shrinks.</p>

<p>Let's look at some CSS:</p>

<pre class="brush: css; notranslate">input, label {
  padding: 2px;
  box-sizing: border-box;
  display: inline-block;
  width: min(40%, 400px);
  background-color: pink;
}

form {
  margin: 4px;
  border: 1px solid black;
  padding: 4px;
}
</pre>

<p>Here, the form itself, along with the margin, border, and padding, will be 100% of its parent's width. We declare the input and label to be the lesser of 40% of the form width up to the padding or 400px wide, whichever is smaller. In other words, the widest that the label and input can be is 400px. The narrowest they will be is 40% of the form's width, which on a smartwatch's screen is very small.</p>

<pre class="brush: html notranslate">&lt;form&gt;
  &lt;label&gt;Type something:&lt;/label&gt;
  &lt;input type="text"&gt;
&lt;/form&gt;
</pre>

<p>{{EmbedLiveSample("Setting_a_maximum_size_for_a_label_and_input", "100%", "110")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS4 Values", "#calc-notation", "min()")}}</td>
   <td>{{Spec2("CSS4 Values")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.min")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("calc", "calc()")}}</li>
 <li>{{CSSxRef("clamp", "clamp()")}}</li>
 <li>{{CSSxRef("max", "max()")}}</li>
 <li><a href="/en-US/docs/Learn/CSS/Introduction_to_CSS/Values_and_units">CSS Values</a></li>
</ul>
